Summary:	Schematic Capture Program of the gEDA Suite
Name:		geda-gschem
Version: 	1.4.0
Release: 	1.1.CUED1
License: 	GPL
Group: 		Productivity/Scientific/Electronics
Packager:	Werner Hoch <werner.ho@gmx.de>

URL: 		http://geda.seul.org
Source0: 	http://geda.seul.org/release/v1.4/1.4.0/geda-gschem-%{version}.tar.gz
Patch0:		geda-gschem.desktop.patch
Patch1:         geda-gschem-default-a4.patch
Patch2:         geda-gschem-default-title-a4.patch
Patch3:         geda-gschem-default-kprinter.patch
Patch4:         geda-gschem-light-colours.patch
Patch5:         geda-gschem-cued-suffix.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

Autoreqprov:    On
BuildRequires:	gtk2-devel >= 2.4
BuildRequires:  intltool, perl-XML-Parser, desktop-file-utils, update-desktop-files
BuildRequires: 	libgeda-devel = %{version}
BuildRequires:	geda-symbols = %{version}
Requires:	guile
Requires:	geda-symbols = %{version}

%description 
gschem is the schematic capture program of the gEDA suite. You can draw
schematics for simulation, pcb production or documentation.
With gschem you can draw hierarchical schematics. 

%prep
%setup -q
%patch0 -p1
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p2

%build
./autogen.sh
%configure --disable-update-desktop-database
%{__make}

%install
%makeinstall
%suse_update_desktop_file geda-gschem

%clean
rm -rf $RPM_BUILD_ROOT

%post
/opt/gnome/bin/gtk-update-icon-cache /usr/share/icons/hicolor/ --ignore-theme-index
/opt/gnome/bin/update-desktop-database /usr/share/applications/

%postun
/opt/gnome/bin/update-desktop-database /usr/share/applications/
/opt/gnome/bin/gtk-update-icon-cache /usr/share/icons/hicolor/ --ignore-theme-index

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/gEDA/*
%{_datadir}/locale/*
%{_datadir}/icons/*
%{_datadir}/applications/geda-gschem.desktop
%{_mandir}/*


%changelog
* Thu Jan 31 2008 Peter Clifton <pcjc2@cam.ac.uk>
- Applied CUED patches for defaults
- Added update-desktop-database and gtk-update-icon-cache 
  commands for desktop integration
* Sun Jan 27 2008 Werner Hoch <werner.ho@gmx.de>
- new version 1.4.0
- added BuildRequires: intltool, perl-XML-Parser, desktop-file-utils, 
  update-desktop-files
* Tue Jan 01 2008 Werner Hoch <werner.ho@gmx.de>
- new version 1.2.1
* Fri Sep 07 2007 Werner Hoch <werner.ho@gmx.de>
- new version 1.2.0
* Sat Jul 07 2007 Werner Hoch <werner.ho@gmx.de>
- new version 1.0.1
* Sat May 26 2007 Werner Hoch <werner.ho@gmx.de>
- new version 20070526
* Thu Feb 20 2007 Werner Hoch <werner.ho@gmx.de>
- new version 20070216
* Sat Oct 21 2006 Werner Hoch <werner.ho@gmx.de>
- new version 20061020
- removed patch
* Sat Sep 09 2006 Werner Hoch <werner.ho@gmx.de>
- new version 20060906
- added patch as SuSE 9.3 doesn't like a missing definition
* Wed Aug 30 2006 Werner Hoch <werner.ho@gmx.de>
- added libpng-devel as gtk2 of suse93 doesn't provide it
* Mon Aug 28 2006 Werner Hoch <werner.ho@gmx.de>
- first spec file
